<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Lista składowych</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d5/d02/class_drone.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Drone Lista składowych</div>  </div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="../../d5/d02/class_drone.html">Drone</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a></td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a>(double angleChange, double distance) const</td><td class="entry"><a class="el" href="../../d5/d02/class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">allCounter</a></td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a>()</td><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">draw</a>(const std::string &amp;filename) const</td><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a>()</td><td class="entry"><a class="el" href="../../d5/d02/class_drone.html">Drone</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">fileName</a></td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a></td><td class="entry"><a class="el" href="../../d5/d02/class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html#a9f788a7def835f24fba6cb47e58527b9">kModelCuboid</a></td><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(double angle) const</td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">moveForward</a>(const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</td><td class="entry"><a class="el" href="../../d5/d02/class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html#aaa4d9856dbc96c4eef4bc0dedb9855cd">points</a></td><td class="entry"><a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">rotate</a>(double angleChange, const int &amp;frames)</td><td class="entry"><a class="el" href="../../d5/d02/class_drone.html">Drone</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a>()</td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a>(const Vector3D &amp;change)</td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a></td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a>(double change)</td><td class="entry"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
